.maquila-component {
  @include vert-center;
  align-items: center;
  flex-direction: column;
  position: relative;
  width: calc(100% - 340px);
  align-self: start;
  padding-left: 20%;

  .maquila-component-title-resp {
    display: none;
    border-bottom: 3px solid #482418;
  }

  .btn-back-sticky {
    display: none;
  }

  .maquila-component-title-h2 {
    color: #675119;
    font-size: 2.5em;
    margin: 1em auto .5em;
    text-align: center;
    font-weight: 700;
  }

  &-title {
    border: 3px solid #484848;
    color: #484848;
    font-weight: 600;
    width: max-content;
    margin: 1em auto;
    padding: 3px 1em;
    font-size: 1em;
    text-transform: uppercase;

    @media screen and (min-width: 1200px) {
      font-size: medium;
    }
  }

  &--product-data {
    @include vert-center;
    align-items: center;
    position: relative;
    margin: auto;
    text-align: center;

    p {
      margin-left: 3em;
      text-align: left;
      font-size: small;
      font-weight: 500;
      padding-right: 3em;

      @media screen and (min-width: 1200px) {
        padding-right: 5em;
        font-size: 1em;
      }
    }

    .maquila-item {
      position: relative;
      z-index: 1;

      &--panning {
        margin-right: -1em;
      }

      &--moulding,
      &--panning,
      &--dosing {
        &::after {
          content: '';
          position: absolute;
          top: 0;
          left: calc(50% - 5em);
          z-index: -1;
          border-radius: 100%;
          width: 10em;
          height: 10em;
        }
      }

      &--moulding::after {
        background: #8AA130;
      }

      &--panning::after {
        background: #7F5046;
      }

      &--dosing::after {
        background: #B3642C;
      }

      img {
        height: 10em;
        object-fit: contain;
      }
    }
  }

  .maquila-product {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1em 2em;
    margin-bottom: 2em;
    margin-right: 2em;
    width: fit-content;
    width: 100%;
    margin-top: 2em;

    &-dmw {
      @media screen and (max-width: 1320px) {
        margin-left: -60px;
        gap: 1em;
      }
    }

    &--moulding {
      width: 90%;
      grid-template-columns: 1fr 1fr;

      .maquila-product-item {
        font-size: 2em;
        width: 100%;
        max-width: 320px;
        flex-direction: row;

        img {
          width: auto;
          height: inherit;
        }

        @media screen and (max-width: 1200px) {
          flex-direction: column;
          height: 120px;

          img {
            width: 4em;
            height: auto;
          }
        }
      }
    }

    &-item {
      cursor: pointer;
      @include vert-center;
      position: relative;
      flex-direction: column;
      margin: auto;
      align-items: center;
      text-align: center;
      line-height: 1em;
      min-height: 5em;
      padding: 0 1em;
      color: #9EA950;
      font-size: larger;
      font-weight: 700;
      width: 120px;
      height: 120px;
      background: #fff;

      &:nth-child(3n+1) {
        margin-right: 0;
      }

      &:nth-child(3n+3) {
        margin-left: 0;
      }

      &:nth-child(odd) {
        color: #62812E;
      }

      &-dmw {
        font-size: xx-large;
        width: auto;
        text-transform: uppercase;
      }

      &--active {
        border-bottom: solid 5px #F4C710;
      }

      img {
        width: 80px;
        height: 80px;
        object-fit: contain;
      }
    }
  }

  @media screen and (max-width: 996px) {
    background: url("../../../assets/img/matas.png") no-repeat;
    position: relative;
    background-position: center top;
    @include open-matas;

    position: relative;
    width: 100vw;
    padding: 0;

    &-container {
      width: 90vw;
    }

    &-title {
      display: none;
    }

    .maquila-component-title-resp {
      display: inline-block;
      text-align: center;
      color: #482418;
      font-size: 1.5rem;
      margin: 1.5em auto -.5em;
      padding-bottom: .5em;
      text-align: center;
      font-weight: 700;
    }

    &--product-data {
      font-size: medium;
      //flex-direction: column;

      p {
        padding: 0;
        margin: 0;
        margin-left: 1.5rem;
        font-size: smaller;
        line-height: 1rem;
      }
    }

    .maquila-product {
      display: grid;
      grid-template-columns: 30% 30% 30%;
      grid-gap: 1em;
      margin-bottom: 2em;
      margin-right: 0;
      margin-left: 0;

      &-item {
        width: 100%;

        flex-direction: column;
        height: 120px;

        img {
          width: inherit;
          height: auto;
        }

        &-dmw {
          font-size: x-large;
        }
      }

      &--moulding {
        width: 100%;
        grid-template-columns: 45% 45%;
        overflow: auto;
      }
    }

    &-title {
      text-align: center;
      width: auto;
      margin: 1em auto;
      padding: 3px 0;
      font-size: 1em;
      text-transform: uppercase;
    }

    .maquila-item {

      &--moulding,
      &--panning,
      &--dosing {
        &::after {
          content: '';
          position: absolute;
          top: 0;
          left: calc(50% - 3.5em);
          z-index: -1;
          border-radius: 100%;
          width: 7em;
          height: 7em;
        }
      }

      img {
        height: 7em;
      }
    }

    .btn-back-sticky {
      display: inline-block;
      margin-top: 1em;
      position: sticky;
      bottom: 0;
      width: calc(100%);
      text-align: center;
      background: #C8D226;
      padding: 6px;

      a {
        color: #fff;
        font-weight: 600;
        font-size: medium;
      }
    }

    &--hide-form {
      .contact-component {
        display: none;
      }
    }
  }
}